WordPress.org

Plugin Directory

Changeset 559281


Ignore:
Timestamp:
06/17/12 02:30:55 (23 months ago)
Author:
toppa
Message:

version 3.2.2

Location:
shashin/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • shashin/trunk/Lib/ShashinContainer.php

    r559230 r559281  
    2020    public function getDatabaseFacade() { 
    2121        if (!isset($this->dbFacade)) { 
     22            /* 
     23             * @todo: remove the $autoLoader - it's needed here only for temporary compatibility with the old version of toppa-libs, which may still be active when upgrading through the wp plugin admin 
     24             */ 
    2225            $autoLoader = new ToppaAutoLoaderWp('/shashin'); 
    2326            $this->dbFacade = new ToppaDatabaseFacadeWp($autoLoader); 
  • shashin/trunk/ShashinWp.php

    r559216 r559281  
    22 
    33class ShashinWp { 
    4     private $version = '3.2'; 
     4    private $version = '3.2.2'; 
    55 
    66    public function __construct() { 
  • shashin/trunk/readme.txt

    r559230 r559281  
    55Requires at least: 3.0 
    66Tested up to: 3.4 
    7 Stable tag: 3.2.1 
     7Stable tag: 3.2.2 
    88License: GPLv2 or later 
    99 
     
    8585== Changelog == 
    8686 
    87 = 3.2.1 = 
    88 * temp fix for upgrading 
     87= 3.2.2 = Check for version 1.3.5 of Toppa Plugin Libaries, which has a bug fix for compatibility with PHP 5.2.1 
     88 
     89= 3.2.1 = Bug fix: temporarily continue to pass an autoloader object to ToppaDatabaseFacade, as the old version may still be running when upgrading Shashin 
    8990 
    9091= 3.2 = 
  • shashin/trunk/start.php

    r559230 r559281  
    55Description: A plugin for integrating photos and videos from Picasa, YouTube, and Twitpic in WordPress. 
    66Author: Michael Toppa 
    7 Version: 3.2.1 
     7Version: 3.2.2 
    88Author URI: http://www.toppa.com 
    99License: GPLv2 or later 
     
    5858    $toppaLibsVersion = get_option('toppaLibsVersion'); 
    5959 
    60     if (!file_exists($autoLoaderPath) || !$toppaLibsVersion || version_compare($toppaLibsVersion, '1.3.4', '<')) { 
     60    if (!file_exists($autoLoaderPath) || !$toppaLibsVersion || version_compare($toppaLibsVersion, '1.3.5', '<')) { 
    6161        return __('To activate Shashin you need to have the current version of', 'shashin') 
    6262            . ' <a href="plugin-install.php?tab=plugin-information&plugin=toppa-plugin-libraries-for-wordpress">Toppa Plugins Libraries for WordPress</a>. ' 
Note: See TracChangeset for help on using the changeset viewer.